<template>
  <v-app>
    <Navbar />
    <v-content>
      <v-container>
        <router-view></router-view>
      </v-container>
    </v-content>
    <app-login-modal />
  </v-app>
</template>

<script lang="ts">
import Vue from "vue";

import Navbar from "./views/global/components/Navbar.vue";
import Component from "vue-class-component";
import AuthService from "./services/AuthService";
import User from "./transport/User";

@Component({
  components: {
    Navbar,
  },
})
export default class App extends Vue {
  mounted() {
    if (localStorage.getItem("token"))
      return new AuthService().getConnectedUser();
    return null;
  }
}
</script>

